Bug 1094240 - CVE-2014-0196 kernel: pty layer race condition leading memory corruption [fedora-all]
Summary: CVE-2014-0196 kernel: pty layer race condition leading memory corruption [fed...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2014-0196
TreeView+ depends on / blocked
 
Reported: 2014-05-05 10:45 UTC by Petr Matousek
Modified: 2014-05-21 23:21 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-05-21 23:21:41 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-05-05 10:45:31 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Petr Matousek 2014-05-05 10:45:41 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1094232,1094240

Comment 2 Josh Boyer 2014-05-06 12:35:48 UTC
Fixed in Fedora git.  F19 should pick this up when we do the 3.14.y rebase.

Comment 3 Fedora Update System 2014-05-07 20:52:55 UTC
kernel-3.14.3-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.3-200.fc20

Comment 4 Fedora Update System 2014-05-08 10:11:00 UTC
Package kernel-3.14.3-200.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.14.3-200.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6122/kernel-3.14.3-200.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-05-10 03:19:31 UTC
kernel-3.14.3-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Vincent Danen 2014-05-12 17:15:36 UTC
Was Fedora 19 updated?  All versions of Fedora were affected and I see no mention of F19 at all here.

Comment 7 Josh Boyer 2014-05-12 17:25:22 UTC
F19 is fixed with the 3.14.3 rebase in updates-testing.

Comment 8 Vincent Danen 2014-05-12 17:37:30 UTC
Perfect, thank you Josh.

Comment 9 Till Maas 2014-05-13 07:01:50 UTC
(In reply to Josh Boyer from comment #7)
> F19 is fixed with the 3.14.3 rebase in updates-testing.

Why is this bug not referenced in the update? See:
https://admin.fedoraproject.org/updates/FEDORA-2014-6167/kernel-3.14.3-100.fc19

Also it is not in the RPM's changelog according to:
http://koji.fedoraproject.org/koji/buildinfo?buildID=515621

Comment 10 Josh Boyer 2014-05-13 12:12:39 UTC
The patch is there, as I already explained.

Comment 11 Fedora Update System 2014-05-13 12:17:07 UTC
kernel-3.14.3-100.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-6167/kernel-3.14.3-100.fc19

Comment 12 Till Maas 2014-05-13 12:56:45 UTC
(In reply to Josh Boyer from comment #10)
> The patch is there, as I already explained.

Thank you. To communicate this properly to users it should IMHO also be mentioned in the RPM changelog as it is done for the F20 update.

Comment 13 Josh Boyer 2014-05-13 13:04:07 UTC
We don't list every bug fixed in the RPM changelog.  The rebases and stable updates fix entirely too many bugs to list them all out.  We can't go back and add it to the changelog of the existing build anyway.

Comment 14 Fedora Update System 2014-05-13 22:12:08 UTC
kernel-3.14.4-100.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.14.4-100.fc19

Comment 15 Fedora Update System 2014-05-14 23:57:02 UTC
Package kernel-3.14.4-100.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.14.4-100.fc19'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6354/kernel-3.14.4-100.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-05-21 23:21:41 UTC
kernel-3.14.4-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.